;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
;
; @file_comments
; Trace some meridians or parallel
;
; @categories
; graphic
;
; @param COUPE The type of drawing we treat
;
; @uses
; common.pro
;
; @history
; Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       11/12/98
;
; @version
; $Id$
;
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
PRO meridienparallele, coupe
;
  compile_opt idl2, strictarrsubs
;
@common
;------------------------------------------------------------
   case coupe of
      'xy':BEGIN 
         if lon1 lt 180 and lon2 gt 180 then $
          plot, [180,180],[lat1,lat2],/noerase,color=0
         if lon1 lt 0 and lon2 gt 0 then $
          plot, [0,0],[lat1,lat2],/noerase,color=0
         if lon1 lt 360 and lon2 gt 360 then $
          plot, [360,360],[lat1,lat2],/noerase,color=0
         if lat1 lt 0 and lat2 gt 0 then $
          plot, [lon1,lon2],[0,0],/noerase,color=0
      END

   endcase

   return
end
